*** a/src/backend/libpq/hba.c
--- b/src/backend/libpq/hba.c
***************
*** 1770,1777 **** load_hba(void)
  	FreeFile(file);
  
  	/* Now parse all the lines */
! 	Assert(PostmasterContext);
! 	hbacxt = AllocSetContextCreate(PostmasterContext,
  								   "hba parser context",
  								   ALLOCSET_DEFAULT_MINSIZE,
  								   ALLOCSET_DEFAULT_MINSIZE,
--- 1770,1776 ----
  	FreeFile(file);
  
  	/* Now parse all the lines */
! 	hbacxt = AllocSetContextCreate(TopMemoryContext,
  								   "hba parser context",
  								   ALLOCSET_DEFAULT_MINSIZE,
  								   ALLOCSET_DEFAULT_MINSIZE,
***************
*** 2148,2155 **** load_ident(void)
  	FreeFile(file);
  
  	/* Now parse all the lines */
! 	Assert(PostmasterContext);
! 	ident_context = AllocSetContextCreate(PostmasterContext,
  										  "ident parser context",
  										  ALLOCSET_DEFAULT_MINSIZE,
  										  ALLOCSET_DEFAULT_MINSIZE,
--- 2147,2153 ----
  	FreeFile(file);
  
  	/* Now parse all the lines */
! 	ident_context = AllocSetContextCreate(TopMemoryContext,
  										  "ident parser context",
  										  ALLOCSET_DEFAULT_MINSIZE,
  										  ALLOCSET_DEFAULT_MINSIZE,
*** a/src/backend/utils/init/postinit.c
--- b/src/backend/utils/init/postinit.c
***************
*** 52,58 ****
  #include "utils/acl.h"
  #include "utils/fmgroids.h"
  #include "utils/guc.h"
- #include "utils/memutils.h"
  #include "utils/pg_locale.h"
  #include "utils/portal.h"
  #include "utils/ps_status.h"
--- 52,57 ----
***************
*** 191,208 **** PerformAuthentication(Port *port)
  	 * FIXME: [fork/exec] Ugh.  Is there a way around this overhead?
  	 */
  #ifdef EXEC_BACKEND
- 	/*
- 	 * load_hba() and load_ident() want to work within the PostmasterContext,
- 	 * so create that if it doesn't exist (which it won't).  We'll delete it
- 	 * again later, in PostgresMain.
- 	 */
- 	if (PostmasterContext == NULL)
- 		PostmasterContext = AllocSetContextCreate(TopMemoryContext,
- 												  "Postmaster",
- 												  ALLOCSET_DEFAULT_MINSIZE,
- 												  ALLOCSET_DEFAULT_INITSIZE,
- 												  ALLOCSET_DEFAULT_MAXSIZE);
- 
  	if (!load_hba())
  	{
  		/*
--- 190,195 ----
